Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class ButtonPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.ButtonPeer

public class ButtonPeer
extends java.lang.Object

Constructor Summary
`ButtonPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `AddAction(int i, int j)`
`static int` | `AddScript(int i, int j, int k, int l, int i1)`
`static int` | `AddShape(int i, int j, int k, int l, int i1)`
`static int` | `AddText(int i, int j, int k, int l, int i1)`
`static int` | `GetBounds(int i, int[] ai)`
`static int` | `New()`
`static int` | `New2()`
`static int` | `Release(int i)`
`static int` | `SetCenter(int i, int j, int k)`
`static int` | `SetTracking(int i, int j)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ButtonPeer

    public ButtonPeer()

Method Detail

### AddAction

    public static int AddAction(int i,
                                int j)

### AddScript

    public static int AddScript(int i,
                                int j,
                                int k,
                                int l,
                                int i1)

### AddShape

    public static int AddShape(int i,
                               int j,
                               int k,
                               int l,
                               int i1)

### AddText

    public static int AddText(int i,
                              int j,
                              int k,
                              int l,
                              int i1)

### GetBounds

    public static int GetBounds(int i,
                                int[] ai)

### New

    public static int New()

### New2

    public static int New2()

### Release

    public static int Release(int i)

### SetCenter

    public static int SetCenter(int i,
                                int j,
                                int k)

### SetTracking

    public static int SetTracking(int i,
                                  int j)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD